Package org.apache.synapse.transport.passthru.jmx

## Interface ConnectionsViewMBean

- All Known Implementing Classes:
    `ConnectionsView`

      public interface ConnectionsViewMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getActiveConnections()` |
    `int` | `getLast15MinuteConnections()` |
    `int` | `getLast15SecondConnections()` |
    `int` | `getLast15SecondRequests()` |
    `int` | `getLast24HourConnections()` |
    `int` | `getLast5MinuteConnections()` |
    `int` | `getLast5SecondConnections()` |
    `int` | `getLast8HourConnections()` |
    `int` | `getLastHourConnections()` |
    `int` | `getLastMinuteConnections()` |
    `int` | `getLastMinuteRequests()` |
    `Date` | `getLastResetTime()` |
    `int` | `getLastSecondConnections()` |
    `int` | `getLastSecondRequests()` |
    `Map` | `getRequestSizesMap()` |
    `Map` | `getResponseSizesMap()` |
    `void` | `reset()` |

- - ### Method Detail

    - #### getActiveConnections

          int getActiveConnections()

    - #### getLastSecondRequests

          int getLastSecondRequests()

    - #### getLast15SecondRequests

          int getLast15SecondRequests()

    - #### getLastMinuteRequests

          int getLastMinuteRequests()

    - #### getLastSecondConnections

          int getLastSecondConnections()

    - #### getLast5SecondConnections

          int getLast5SecondConnections()

    - #### getLast15SecondConnections

          int getLast15SecondConnections()

    - #### getLastMinuteConnections

          int getLastMinuteConnections()

    - #### getLast5MinuteConnections

          int getLast5MinuteConnections()

    - #### getLast15MinuteConnections

          int getLast15MinuteConnections()

    - #### getLastHourConnections

          int getLastHourConnections()

    - #### getLast8HourConnections

          int getLast8HourConnections()

    - #### getLast24HourConnections

          int getLast24HourConnections()

    - #### getRequestSizesMap

          Map getRequestSizesMap()

    - #### getResponseSizesMap

          Map getResponseSizesMap()

    - #### getLastResetTime

          Date getLastResetTime()

    - #### reset

          void reset()